local _, BigBrother = ...

-- Shared Spells
local SpellData = {}

SpellData.flasks = {
	-- Burning Crusade
	42735, -- Flask of Chromatic Wonder
	-- WotLK
	53752, -- Lesser Flask of Toughness
	53755, -- Flask of the Frost Wyrm
	53758, -- Flask of Stoneblood
	53760, -- Flask of Endless Rage
	54212, -- Flask of Pure Mojo
	62380, -- Lesser Flask of Resistance
	67019, -- Flask of the North
	-- Cata
	79469, --Flask of Steelskin
	79470, --Flask of the Draconic Mind
	79471, --Flask of the Winds
	79472, --Flask of Titanic Strength
	94160, --Flask of Flowing Water
	79637, --Flask of Enhancement
	79638, --Enchanced Strength
	79639, --Enhanced Agility
	79640, --Enhanced Intellect
}

SpellData.elixirsGuardian = {
	-- Burning Crusade
	28502, -- Major Armor
	28509, -- Greater Mana Regeneration
	28514, -- Empowerment
	39625, -- Elixir of Major Fortitude
	39626, -- Earthen Elixir
	39627, -- Elixir of Draenic Wisdom
	39628, -- Elixir of Ironskin
	-- WotLK
	53747, -- Elixir of Spirit
	60347, -- Elixir of Mighty Thoughts
	53764, -- Elixir of Mighty Mageblood
	53751, -- Elixir of Mighty Fortitude
	53763, -- Elixir of Protection
	60343, -- Elixir of Mighty Defense
	--Cata
	79631, -- Prismatic Elixir
	79480, -- Elixir of Deep Earth
}

SpellData.elixirsBattle = {
	-- Burning Crusade
	28490, -- Major Strength 
	28491, -- Healing Power 
	28493, -- Major Frost Power 
	28501, -- Major Firepower 
	28503, -- Major Shadow Power 
	33720, -- Onslaught Elixir 
	33721, -- Spellpower Elixir
	33726, -- Elixir of Mastery 
	38954, -- Fel Strength Elixir
	45373, -- Bloodberry 
	54452, -- Adept's Elixir 
	54494, -- Major Agility 
	-- WotLK
	53746, -- Wrath Elixir
	53749, -- Guru's Elixir
	53748, -- Elixir of Mighty Strength
	28497, -- Elixir of Mighty Agility
	60346, -- Elixir of Lightning Speed
	60344, -- Elixir of Expertise
	60341, -- Elixir of Deadly Strikes
	60345, -- Elixir of Armor Piercing
	60340, -- Elixir of Accuracy
	--Cata
	79635, -- Elixir of the Master
	79632, -- Elixir of Mighty Speed
	79481, -- Elixir of Impossible Accuracy
	79477, -- Elixir of the Cobra
	79474, -- Elixir of the Naga
	79468, -- Ghost Elixir
}

SpellData.foods = {
	35272, -- Well Fed
	43763, -- Food
}

BigBrother.SpellData = SpellData
